package com.brilliance.isc.mda.dao;


import feign.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface PublicMapper {

    int dyncCount(Map<String, Object> dyncMap);

    String dyncQueryStr(Map<String, Object> dyncMap);

    List<String> dyncQueryStrList(Map<String, Object> dyncMap);

    List<BigDecimal> dyncQueryNumList(Map<String, Object> dyncMap);

    List<Map<String,Object>> dyncQueryMapList(Map<String,Object> dyncMap);

    Map<String, Object> dyncQueryMap(Map<String, Object> sql);

//    Long dyncQueryLong(Map<String, Object> dyncMap);
//
//    Map<String, Object> dyncUpdate(Map<String, Object> dyncMap);

    int deleteByTableNameAndInr(@Param("tablename") String tablename, @Param("inr") String inr);

    int updateByTableNameAndInr(Map<String,Object> dyncMap);

}
